Subject: Re: KEKRecpientInfo KEKIdentifier

From: "John Ross" <[email-masked]>
Date: Tue, 2 Feb 1999 16:30:49 -0800

I agree it could be optional in CMS.  But  it should be mandated either in
MSG, or it may be better mandated in ESS. For example, ESS could mandate
that the KEKIdentifier must be present when secure mailing lists are used.

Regards

John Ross
-----Original Message-----
From: Russ Housley <[email-masked]>
To: EKR <[email-masked]>
Cc: [email-masked] <[email-masked]>;
[email-masked] <[email-masked]>
Date: Friday, January 29, 1999 2:36 PM
Subject: Re: KEKRecpientInfo KEKIdentifier

>What do others think?
>
>I am unwilling to make it optional without a change to MSG that mandates it
>for S/MIME.
>
>Russ
>
>
>At 08:58 AM 1/29/99 -0800, EKR wrote:
>>[email-masked] (Peter Gutmann) writes:
>>> almost never be used in the way you've described.  PGP has worked just
fine
>>> for 8 years without a KEKIdentifier, so I don't see why CMS needs to
>make it
>>> mandatory.  All you need to do is use "kekid [ 0 ] KEKIdentifier
OPTIONAL"
>>and
>>> you can let the users decide whether it really is essential or not - I'm
>not
>>> asking that it be removed, simply that it be made optional so you can
>>leave it
>>> out where there's nothing to put in a KEKIdentifier.
>>I've got to go with Peter here. While I think that for messaging,
>>the index is more useful, I don't see any harm in making it optional.
>>We can always make MSG require it.
>>
>>-Ekr
>>
>>
>>--
>>[Eric Rescorla                                   [email-masked]]
>

---

From: [email-masked] (John Pawling)
Date: Tue, 2 Feb 1999 17:32:21 -0500

All,

I believe that the KEKRecpientInfo KEKIdentifier should not be optional.
The recipient always needs to have a means of identifying which KEK to use
to process the received message.  

- John Pawling

At 05:17 PM 1/29/99 -0500, Russ Housley wrote:
>>> almost never be used in the way you've described.  PGP has worked just fine 
>>> mandatory.  All you need to do is use "kekid [ 0 ] KEKIdentifier OPTIONAL" 
>>and

---

From: [email-masked] (John Pawling)
Date: Thu, 4 Feb 1999 14:15:28 -0500

Peter,

If you have multiple KEK keys which could be used to decrypt the file, then
you need to know which one to use.  If there is only one possible KEK key
which could be used to decrypt the file, then I can see your point that the
KEKIdentifier would not be needed to identify which KEK to use.  In summary,
I agree that the KEKIdentifier could be made optional.  

- John

At 01:33 AM 2/5/99, [email-masked] wrote:
>>I believe that the KEKRecpientInfo KEKIdentifier should not be optional. The
>>recipient always needs to have a means of identifying which KEK to use to
>>process the received message.
> 
>Well, that's a good point, and if you were right I'd agree with you.  You're 
>assuming that the only thing CMS will ever be used for throughout its entire 
>existence is handling S/MIME messages ("process the received message").  As I 
>pointed out a few days ago, KEKIdentifier has no known (non-contrived) use for 
>things like file encryption, which 8 years of experience with PGP indicate 
>would be the most common use for KEKRecipientInfo.  As John Ross suggested, if 
>it's needed for S/MIME then mandate it in MSG or ESS, but don't force anyone 
>who uses CMS into using it just because S/MIME happens to need it.
> 
>Peter.
> 
>
>